# -*- coding: utf-8 -*-
"""
Created on Fri Oct 20 08:49:25 2017

@author: gerd doeben-henisch
Testing some windows operations
"""
#file control.py

def ctrlWinStart():
    
    import graphics as grph

    win = grph.GraphWin("CONTROL PARAMETER", 300, 200)
    win.setCoords(0.0, 0.0, 5.0, 7.0)
    # Draw the interface
    txt1 = grph.Text(grph.Point(2,6), " Please point to a cell in the grid").draw(win)
    txt1.setTextColor('red')
    
    return win, txt1

def ctrlWinDel(txt):
    
    import graphics as grph
    
    txt.undraw()
    
    
def ctrlWinSelCylenumber(win):
    
    import graphics as grph

    txt9 = grph.Text(grph.Point(2,2), " SELECT NUMBER OF CYCLES ").draw(win)
    txt9.setTextColor('black')
    
    input = grph.Entry(grph.Point(2,1), 5)
    input.setText("20")
    input.draw(win)
    
    win.getMouse()

    cyclesNo = eval(input.getText())
    print('cyclesNo ',cyclesNo)
    
    if cyclesNo < 1:
        cyclesNo = 1
    
    return cyclesNo, txt9
    
    
def ctrlWinSelBehave(win):
    
    import graphics as grph

    txt8 = grph.Text(grph.Point(2,2), " SELECT TYPE OF BEHAVIOR ").draw(win)
    txt8.setTextColor('black')
    
    input = grph.Entry(grph.Point(2,1), 5)
    input.setText("0")
    input.draw(win)
    
    win.getMouse()

    behaviorNo = eval(input.getText())
    print('behaviorNo ',behaviorNo)
    
    return behaviorNo, txt8
    
    
def ctrlWinEnergy(win,energy,time):
    
    import graphics as grph

    txt2 = grph.Text(grph.Point(2,6), "ENERGY-LEVEL ").draw(win)
    txt2.setTextColor('black')

    txt3 = grph.Text(grph.Point(2,5), str(energy)).draw(win)
    txt3.setTextColor('red')
    
    txt4 = grph.Text(grph.Point(2,4), " WORLD-TIME ").draw(win)
    txt4.setTextColor('black')

    txt5 = grph.Text(grph.Point(2,3), str(time)).draw(win)
    txt5.setTextColor('blue')
    
    return txt3, txt5

def ctrlWinWrt(win,energy,time):
    
    import graphics as grph
    
    txt3 = grph.Text(grph.Point(2,5), str(energy)).draw(win)
    txt3.setTextColor('red')
    
    txt5 = grph.Text(grph.Point(2,3), str(time)).draw(win)
    txt5.setTextColor('blue')
    
    return txt3, txt5

def ctrlWinLoc(winC):
    
    import graphics as grph

    txt6 = grph.Text(grph.Point(2,2), " POINT INTO GRID FOR MOVE ").draw(winC)
    txt6.setTextColor('red')

    return txt6

